CREATE TABLE CRST_FA_TXN_HEADERS
(
  TRANSACTION_HEADER_ID         NUMBER(15),
  BOOK_TYPE_CODE                VARCHAR2(15 BYTE),
  ASSET_ID                      NUMBER(15),
  TRANSACTION_TYPE_CODE         VARCHAR2(20 BYTE),
  TRANSACTION_DATE_ENTERED      DATE,
  DATE_EFFECTIVE                DATE,
  LAST_UPDATE_DATE              DATE,
  LAST_UPDATED_BY               NUMBER(15),
  TRANSACTION_NAME              VARCHAR2(30 BYTE),
  INVOICE_TRANSACTION_ID        NUMBER(15),
  SOURCE_TRANSACTION_HEADER_ID  NUMBER(15),
  MASS_REFERENCE_ID             NUMBER(15),
  LAST_UPDATE_LOGIN             NUMBER(15),
  TRANSACTION_SUBTYPE           VARCHAR2(9 BYTE),
  ATTRIBUTE1                    VARCHAR2(150 BYTE),
  ATTRIBUTE2                    VARCHAR2(150 BYTE),
  ATTRIBUTE3                    VARCHAR2(150 BYTE),
  ATTRIBUTE4                    VARCHAR2(150 BYTE),
  ATTRIBUTE5                    VARCHAR2(150 BYTE),
  ATTRIBUTE6                    VARCHAR2(150 BYTE),
  ATTRIBUTE7                    VARCHAR2(150 BYTE),
  ATTRIBUTE8                    VARCHAR2(150 BYTE),
  ATTRIBUTE9                    VARCHAR2(150 BYTE),
  ATTRIBUTE10                   VARCHAR2(150 BYTE),
  ATTRIBUTE11                   VARCHAR2(150 BYTE),
  ATTRIBUTE12                   VARCHAR2(150 BYTE),
  ATTRIBUTE13                   VARCHAR2(150 BYTE),
  ATTRIBUTE14                   VARCHAR2(150 BYTE),
  ATTRIBUTE15                   VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY_CODE       VARCHAR2(30 BYTE),
  TRANSACTION_KEY               VARCHAR2(2 BYTE),
  AMORTIZATION_START_DATE       DATE,
  CALLING_INTERFACE             VARCHAR2(30 BYTE),
  MASS_TRANSACTION_ID           NUMBER(15),  
  DUMMY                         CHAR(1),
  LAST_UPDATED_NAME             VARCHAR2(100)
);
